Create a note on an incident
Create a new note for the specified incident.
An incident represents a problem or an issue that needs to be addressed and resolved.
A maximum of 2000 notes can be added to an incident.
For more information see the API Concepts Document
Scoped OAuth requires: incidents.write
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Path Parameters
The ID of the resource.
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
The email address of a valid user associated with the account making the request.
emailRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
Cancel responder requests for an incident PUT
Cancel pending responder requests for the specified incident. This endpoint allows you to cancel responder requests for specified targets that are in a pending state. Only responders who have not yet joined or declined can be cancelled. This endpoint requires the account to have access to the [responder requests](https://support.pagerduty.com/main/docs/add-responders) feature. **Account Ability Requirement**: The account must have the `coordinated_responding` ability. Returns 402 Payment Required if the ability is missing. You can use the [List Abilities API](openapiv3.json/paths/~1abilities/get) to check account abilities. **State Constraints**: Only responders in the `pending` state can be cancelled. Responders who have already `joined` or `declined` are not affected (the result will indicate their current state). **User vs Escalation Policy Behavior**: - **Users**: Direct cancellation, updates state to `user_cancelled`, stops notifications - **Escalation Policies**: Stops the escalation process, updates state of all pending users from that escalation policy to `user_cancelled` and stops notifications **Result Values**: - `cancelled`: Successfully cancelled - `joined`: User already joined (not cancelled) - `declined`: User already declined (not cancelled) - `not_found`: Target not found or not part of any responder request Scoped OAuth requires: `incidents.write`
Add Notification Subscribers POST
Subscribe the given entities to Incident Status Update Notifications. Scoped OAuth requires: `subscribers.write`